Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.services.soapui
Interface SoapUIClientServiceMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  SoapUIClientService

    public interface SoapUIClientServiceMBean

extends org.jboss.system.ServiceMBean

Soap UI Soap Client Service.

Embeds the soapui tool, using it to generate a valid soap requests, as well as unmarshal response data from a valid soap response.

Author:
  tom.fennelly@jboss.com

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`java.lang.String` | `buildRequest(java.lang.String wsdl, java.lang.String operation, java.util.Map params, java.util.Properties httpClientProps, java.lang.String smooksResource, java.lang.String soapNs)` Build a SOAP request for the specified operation on the specified WSDL.
`java.lang.String` | `getEndpoint(java.lang.String wsdl, java.util.Properties httpClientProps)` Get the 1st endpoint from the specified WSDL.
`java.lang.String` | `getPropertyFile()` Get the property file.
`java.lang.String` | `getSchemas()` Get the additional schema resources.
`void` | `setPropertyFile(java.lang.String propertyFile)` Set the property file.
`void` | `setSchemas(java.lang.String schemas)` Set the additional schemes.

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### buildRequest

    java.lang.String buildRequest(java.lang.String wsdl,
                                  java.lang.String operation,
                                  java.util.Map params,
                                  java.util.Properties httpClientProps,
                                  java.lang.String smooksResource,
                                  java.lang.String soapNs)
                                  throws java.io.IOException,
                                         java.lang.UnsupportedOperationException,
                                         org.xml.sax.SAXException

  Build a SOAP request for the specified operation on the specified WSDL.

  Parameters:
    `wsdl` - WSDL URL.
    `operation` - Operation name.
    `params` - Message parameter map.
    `httpClientProps` - `HttpClient` creation properties.
    `smooksResource` - `Smooks` transformation configuration resource file. Null if no transformations are to be performed on the SOAP message before serializing it for return.
    `soapNs` - optional SOAP namespace
  Returns:
    The SOAP Message.
  Throws:
    `java.io.IOException` - Failed to load WSDL.
    `java.lang.UnsupportedOperationException` - Operation not supported on specified WSDL.
    `org.xml.sax.SAXException` - Failed to parse the SOAP UI generated request message.

### getEndpoint

    java.lang.String getEndpoint(java.lang.String wsdl,
                                 java.util.Properties httpClientProps)
                                 throws java.io.IOException

  Get the 1st endpoint from the specified WSDL.

  Parameters:
    `wsdl` - WSDL URL.
    `httpClientProps` - `HttpClient` creation properties.
  Returns:
    The operation endpoint URL.
  Throws:
    `java.io.IOException` - Failed to load WSDL.

### getPropertyFile

    java.lang.String getPropertyFile()

  Get the property file.

  Returns:
    The name of the property file being used.

### setPropertyFile

    void setPropertyFile(java.lang.String propertyFile)

  Set the property file.

  Parameters:
    `propertyFile` - The name of the property file being used.

### getSchemas

    java.lang.String getSchemas()

  Get the additional schema resources.

  Returns:
    The additional schema resources.

### setSchemas

    void setSchemas(java.lang.String schemas)

  Set the additional schemes.

  Parameters:
    `schemas` - The additional schema resources to setup for SoapUI. This needs support through the soapui-settings.xml file
  See Also:
    `setPropertyFile`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD